
Ruby - Bug #9370

Parse error when using XMLTreeParser in xmlrpc

01/06/2014 08:38 PM - herwinw (Herwin Quarantainenet)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3-p484 Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN,

2.1: UNKNOWN

Description

When using XMLTreeParser as the parser in the XMLRPC libraries, a simple methodCall parse with a parameter results in an

assertion error. A script to test this is attached.

Related issues:

Related to Ruby - Bug #9369: Using XMLScanStreamParser in xmlrpc/parser may r... Closed

Associated revisions

Revision d8e3a924111fe46c93a7fc9c0fa00d579ff5ec1c - 03/02/2016 06:12 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb: Removed broken parser named XMLTreeParser.

Required gem of its parser didn't compile on newer Ruby versions.

[fix GH-1271][ruby-core:59590][Bug #9370]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53980 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d8e3a924 - 03/02/2016 06:12 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb: Removed broken parser named XMLTreeParser.

Required gem of its parser didn't compile on newer Ruby versions.

[fix GH-1271][ruby-core:59590][Bug #9370]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53980 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/02/2016 06:12 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset r53980.

lib/xmlrpc.rb: Removed broken parser named XMLTreeParser.

Required gem of its parser didn't compile on newer Ruby versions.

[fix GH-1271][ruby-core:59590][Bug #9370]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.

#2 - 03/24/2016 07:14 AM - usa (Usaku NAKAMURA)

- Related to Bug #9369: Using XMLScanStreamParser in xmlrpc/parser may result in parse errors added

Files

parser.rb 290 Bytes 01/06/2014 herwinw (Herwin Quarantainenet)
